# Create a gift inventory

Section: Your data › Gift planner

```
POST https://ba.joexyz.online/api/v1/me/gift-inventories
```

Creates a gift inventory and returns it.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Headers

| Name | Value |
| --- | --- |
| `Content-Type` | `application/json` |

## Body

Content type: `application/json`

```json
{
  "name": "EU",
  "gifts": [
    {
      "id": 5000,
      "count": 1
    },
    {
      "id": 5001,
      "count": 3
    },
    {
      "id": 5002,
      "count": 2
    },
    {
      "id": 5004,
      "count": 7
    },
    {
      "id": 5005,
      "count": 36
    },
    {
      "id": 5006,
      "count": 30
    }
  ],
  "giftBoxes": 341
}
```

## Example responses

### 201 Created

```json
{
  "data": {
    "id": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
    "createdAt": "2025-11-20T19:16:23.521Z",
    "name": "EU",
    "giftBoxes": 341,
    "gifts": [
      {
        "id": 5000,
        "count": 1
      },
      {
        "id": 5001,
        "count": 3
      },
      {
        "id": 5002,
        "count": 2
      },
      {
        "id": 5004,
        "count": 7
      },
      {
        "id": 5005,
        "count": 36
      },
      {
        "id": 5006,
        "count": 30
      }
    ],
    "targets": []
  }
}
```

### 400 Bad Request

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "Value does not match validator. Path: `.giftBoxes`."
  }
}
```

## Examples

### cURL

```bash
curl -X POST https://ba.joexyz.online/api/v1/me/gift-inventories \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "name": "EU",
  "gifts": [
    {
      "id": 5000,
      "count": 1
    },
    {
      "id": 5001,
      "count": 3
    },
    {
      "id": 5002,
      "count": 2
    },
    {
      "id": 5004,
      "count": 7
    },
    {
      "id": 5005,
      "count": 36
    },
    {
      "id": 5006,
      "count": 30
    }
  ],
  "giftBoxes": 341
}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/gift-inventories", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{api_key}}",
  },
  body: JSON.stringify({
    "name": "EU",
    "gifts": [
      {
        "id": 5000,
        "count": 1
      },
      {
        "id": 5001,
        "count": 3
      },
      {
        "id": 5002,
        "count": 2
      },
      {
        "id": 5004,
        "count": 7
      },
      {
        "id": 5005,
        "count": 36
      },
      {
        "id": 5006,
        "count": 30
      }
    ],
    "giftBoxes": 341
  }),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/gift-inventories"
headers = {
    "Authorization": "Bearer {{api_key}}",
}
payload = {
    "name": "EU",
    "gifts": [
        {
            "id": 5000,
            "count": 1,
        },
        {
            "id": 5001,
            "count": 3,
        },
        {
            "id": 5002,
            "count": 2,
        },
        {
            "id": 5004,
            "count": 7,
        },
        {
            "id": 5005,
            "count": 36,
        },
        {
            "id": 5006,
            "count": 30,
        },
    ],
    "giftBoxes": 341,
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "name": "EU",
  "gifts": [
    {
      "id": 5000,
      "count": 1
    },
    {
      "id": 5001,
      "count": 3
    },
    {
      "id": 5002,
      "count": 2
    },
    {
      "id": 5004,
      "count": 7
    },
    {
      "id": 5005,
      "count": 36
    },
    {
      "id": 5006,
      "count": 30
    }
  ],
  "giftBoxes": 341
}`)

	req, err := http.NewRequest("POST", "https://ba.joexyz.online/api/v1/me/gift-inventories", body)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
